library flutter_tnet_package_testing;

import 'package:flutter/material.dart';

class TNETPackageTesting extends StatefulWidget {
  final String title;
  final double height;
  final Color textColor;
  final Color firstColor;
  final Function() onTap;
  final Color secondColor;
  final TextStyle titleStyle;
  final EdgeInsetsGeometry padding;

  const TNETPackageTesting({
    Key key,
    this.onTap,
    this.title,
    this.height,
    this.padding,
    this.textColor,
    this.titleStyle,
    this.firstColor,
    this.secondColor,
  }) : super(key: key);

  @override
  _TNETPackageTestingState createState() => _TNETPackageTestingState();
}

class _TNETPackageTestingState extends State<TNETPackageTesting> {
  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: widget.onTap ?? () {},
      child: Container(
        width: MediaQuery.of(context).size.width * 0.80,
        height: widget.height ?? 120.0,
        decoration: BoxDecoration(
          borderRadius: const BorderRadius.all(Radius.circular(25.0)),
          gradient: LinearGradient(
            colors: [
              widget.firstColor ?? Colors.amberAccent,
              widget.secondColor ?? Colors.greenAccent,
            ],
            begin: Alignment.topLeft,
            end: Alignment.bottomRight,
          ),
        ),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Padding(
              padding: const EdgeInsets.all(10.0),
              child: Text(
                widget.title ?? "title: Your text",
                style: widget.titleStyle ??
                    TextStyle(
                      color: widget.textColor,
                      fontSize: 24.0,
                      fontWeight: FontWeight.w700,
                    ),
              ),
            ),
            Padding(
              padding: const EdgeInsets.symmetric(
                vertical: 10.0,
                horizontal: 40.0,
              ),
              child: TextFormField(),
            ),
          ],
        ),
      ),
    );
  }
}
